Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class PerInstancePojoMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PerInstancePojoMetaClassSite

    public class PerInstancePojoMetaClassSite
    extends AbstractCallSite

Field Summary

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)`

Method Summary
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PerInstancePojoMetaClassSite

    public PerInstancePojoMetaClassSite(CallSite site, ClassInfo info)

Method Detail

### call

    public java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation